#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n,i,q,j,x=0;
    cin>>n;
    int a[n];
    for(i = 0; i<n ; i++)
        cin>>a[i];

    cin>>q;
    int l[q],r[q];
    for(i=0;i<q;i++)
        cin>>l[i]>>r[i];

    for(i=0;i<q;i++){
        for(j=l[i]-1;j<r[i]-1;j++){
            if(a[j]>a[j+1] && j < r[i]-1){
                x += 1;
                if(a[j-1]==a[j])
                    x+=1;
            }
            if(x>1){
                cout<<"NE"<<endl;
                break;
            }
        }
        if(x<2){
            cout<<"DA"<<endl;
        }
        x = 0;
    }
    return 0;
}